{config, ...}: {
  home-manager.users.jade = {pkgs, ...}: {
    # Needed for nu_scripts background_task
    services.pueue = {
      enable = true;
      settings = {
        shared = {
          use_unix_socket = true;
        };
      };
    };
    home.packages = [
      pkgs.pueue
      pkgs.nushellPlugins.net
      pkgs.nushellPlugins.query
      pkgs.nushellPlugins.gstat
      pkgs.nushellPlugins.polars
      pkgs.nushellPlugins.formats
    ];
    programs.nushell = {
      enable = true;
      package = config.users.defaultUserShell;
      configFile.source = ../../other/config.nu;
      envFile.source = ../../other/env.nu;
      # extraConfig = ''
      # source ${pkgs.nu_scripts}/share/nu_scripts/modules/nix/nix.nu;
      # use ${pkgs.nu_scripts}/share/nu_scripts/modules/background_task/job.nu;
      # '';
    };
    programs.starship.enableNushellIntegration = true;
    programs.carapace.enableNushellIntegration = true;
    programs.direnv.enableNushellIntegration = true;
  };
}
